curl --request GET \
--url https://sandbox.api.veepag.com/v1/charge/exports \
--header 'apiKey: <api-key>'import requests
url = "https://sandbox.api.veepag.com/v1/charge/exports"
headers = {"apiKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>'}};
fetch('https://sandbox.api.veepag.com/v1/charge/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.veepag.com/v1/charge/exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"apiKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.veepag.com/v1/charge/exports"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.veepag.com/v1/charge/exports")
.header("apiKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.veepag.com/v1/charge/exports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["apiKey"] = '<api-key>'
response = http.request(request)
puts response.read_body[]{
"error_messages": [
{
"msg": "Payload invalido.",
"type": "field",
"path": "companyId",
"location": "body"
}
],
"code": "ZodValidationException",
"path": "/v1/charge/exports",
"metadata": {}
}{
"error_messages": [
{
"msg": "Unauthorized."
}
],
"code": "unauthorized",
"path": "/v1/charge/exports",
"metadata": {}
}{
"error_messages": [
{
"msg": "Forbidden."
}
],
"code": "forbidden",
"path": "/v1/charge/exports",
"metadata": {}
}{
"error_messages": [
{
"msg": "Unknown server error."
}
],
"code": "unknown_server_error",
"path": "/v1/charge/exports",
"metadata": {}
}Exportar cobranças
Exporta cobrancas. O limite confirmado e de 10.000 itens por exportacao.
curl --request GET \
--url https://sandbox.api.veepag.com/v1/charge/exports \
--header 'apiKey: <api-key>'import requests
url = "https://sandbox.api.veepag.com/v1/charge/exports"
headers = {"apiKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>'}};
fetch('https://sandbox.api.veepag.com/v1/charge/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.veepag.com/v1/charge/exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"apiKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.veepag.com/v1/charge/exports"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.veepag.com/v1/charge/exports")
.header("apiKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.veepag.com/v1/charge/exports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["apiKey"] = '<api-key>'
response = http.request(request)
puts response.read_body[]{
"error_messages": [
{
"msg": "Payload invalido.",
"type": "field",
"path": "companyId",
"location": "body"
}
],
"code": "ZodValidationException",
"path": "/v1/charge/exports",
"metadata": {}
}{
"error_messages": [
{
"msg": "Unauthorized."
}
],
"code": "unauthorized",
"path": "/v1/charge/exports",
"metadata": {}
}{
"error_messages": [
{
"msg": "Forbidden."
}
],
"code": "forbidden",
"path": "/v1/charge/exports",
"metadata": {}
}{
"error_messages": [
{
"msg": "Unknown server error."
}
],
"code": "unknown_server_error",
"path": "/v1/charge/exports",
"metadata": {}
}Authorizations
API key no formato keyId.secret.
Query Parameters
Range end (ISO string). Used with sort.property.
"2026-06-23T23:59:59.999Z"
Range start (ISO string). Used with sort.property.
"2026-06-01T00:00:00.000Z"
Sort direction (asc|desc)
asc, desc "desc"
Range field (createdAt|lastUpdate)
createdAt, lastUpdate "createdAt"
Charge status (multiple values allowed)
Client ID
Product ID
Subscription ID
Charge IDs (multiple values allowed)
Charge ID
Response
Cobrancas exportadas.
ID da cobranca.
ID da empresa vinculada a cobranca.
ID do cliente vinculado.
ID do produto vinculado.
ID da assinatura vinculada, quando houver.
Valor da cobranca, normalmente com value em centavos e currency BRL.
Data de vencimento da cobranca.
Descricao da cobranca.
Status atual da cobranca.
PAID, ACTIVE, ANTICIPATED, CANCELED, CANCELED_ALERT_ETHOCA, PENDING_PAYMENT, IMPORTED, ERROR_PAYMENT, ERROR_REFUNDED, OVERDUE, NO_PAYMENT_ROUTE, RECOVERED, BLOCKED, NO_PAYMENT, CANCELED_MANUAL, DISPUTE, CHARGEBACK, STANDBY, DISABLED Metodos de pagamento disponiveis.
CREDIT_CARD, DEBIT_CARD, BOLETO, PIX Opcoes de pagamento da cobranca.
Indica se a cobranca esta ativa.
Numero sequencial da cobranca, quando houver.
Data de criacao da cobranca.
Data da ultima atualizacao da cobranca.
Was this page helpful?
